package com.ruoyi.clock.service;

import com.ruoyi.clock.domain.Shop;
import com.ruoyi.clock.domain.vo.ShopVo;
import com.ruoyi.clock.domain.bo.ShopBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 门店信息Service接口
 *
 * @author pengc
 * @date 2026-03-04
 */
public interface IShopService {

    /**
     * 查询门店信息分页
     *
     * @param bo 门店信息
     * @return 门店信息集合
     */
    TableDataInfo<ShopVo> queryPageList(ShopBo bo, PageQuery pageQuery);

    /**
     * 查询门店信息列表
     *
     * @param bo 门店信息
     * @return 门店信息集合
     */
    List<ShopVo> queryList(ShopBo bo);

    /**
     * 查询门店信息
     *
     * @param shopId 门店信息主键
     * @return 门店信息
     */
    ShopVo queryById(Long shopId);

    /**
     * 详情门店信息
     *
     * @param shopId 门店信息主键
     * @return 门店信息
     */
    Shop loadById(Long shopId, Boolean tw);

    /**
     * 新增门店信息
     *
     * @param bo 门店信息
     * @return 结果
     */
    Boolean insertByBo(ShopBo bo);

    /**
     * 修改门店信息
     *
     * @param bo 门店信息
     * @return 结果
     */
    Boolean updateByBo(ShopBo bo);

    /**
     * 校验并批量删除门店信息信息
     *
     * @param ids 需要删除的门店信息主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return 结果
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 查询门店信息
     *
     * @param shopName 门店信息名称
     * @return 门店信息
     */
    Shop getShopByName(String shopName);

}
